%define  oname js-jquery

Name:           js-jquery
Version:        3.5.1
Release:        %mkrel 1
Summary:        JavaScript DOM manipulation, event handling, and AJAX library
BuildArch:      noarch

%global ver_x %(echo %{version} | cut -d. -f1)
%global ver_y %(echo %{version} | cut -d. -f2)
%global ver_z %(echo %{version} | cut -d. -f3)

Group:          Development/Other

License:        MIT     
URL:            https://jquery.com/
Source0:        https://github.com/jquery/jquery/archive/%{version}/jquery-%{version}.tar.gz
# Created by ./update_sources.sh <version>
Source1:        jquery_%{version}_node_modules.tar.gz
Source2:        update-sources.sh

# disable gzip-js during build
Patch1:         %{name}-disable-gzip-js.patch

BuildRequires:  web-assets-devel
BuildRequires:  nodejs-packaging

Provides:       jquery = %{version}-%{release}
Provides:       %{oname}-static = %{version}-%{release}
Provides:       %{oname}%{ver_x} = %{version}-%{release}
Provides:       %{oname}%{ver_x}-static = %{version}-%{release}
Obsoletes:      jquery < %{version}-%{release}

Requires:       web-assets-filesystem

%description
jQuery is a fast, small, and feature-rich JavaScript library. It makes things
like HTML document traversal and manipulation, event handling, animation, and 
Ajax much simpler with an easy-to-use API that works across a multitude of 
browsers. With a combination of versatility and extensibility, jQuery has 
changed the way that millions of people write JavaScript.

%prep
%autosetup -n jquery-%{version} -v -p1

#remove precompiled stuff
rm -rf dist/*

# Install the cached node modules
tar xf %{SOURCE1}

%build
./node_modules/grunt-cli/bin/grunt -v 'build:*:*' uglify

%check
./node_modules/grunt-cli/bin/grunt -v 'build:*:*' test:prepare test:fast


%install
%global installdir %{buildroot}%{_jsdir}/jquery

mkdir -p %{installdir}/%{version}
cp -p dist/* %{installdir}/%{version}

mkdir -p %{buildroot}%{_webassetdir}
ln -s ../javascript/jquery %{buildroot}%{_webassetdir}/jquery

ln -s %{version} %{installdir}/%{ver_x}
ln -s %{version} %{installdir}/%{ver_x}.%{ver_y}


%files
%{_jsdir}/jquery
%{_webassetdir}/jquery
%doc AUTHORS.txt CONTRIBUTING.md LICENSE.txt README.md



%changelog
* Sat May 16 2020 joequant <joequant> 3.5.1-1.mga8
+ Revision: 1584327
- update to 3.5.1

* Fri May 15 2020 joequant <joequant> 3.5.0-2.mga8
+ Revision: 1583948
- move jquery to js-jquery
- move jquery to js-jquery

* Fri May 15 2020 joequant <joequant> 3.5.0-1.mga8
+ Revision: 1583844
- update to 3.5.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Apr 25 2017 neoclust <neoclust> 1.12.4-1.mga6
+ Revision: 1097351
- New version 1.12.4 - Fixes XSS vulnerability (mga#20039)

* Fri Feb 05 2016 umeabot <umeabot> 1.7.2-6.mga6
+ Revision: 938650
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.2-5.mga5
+ Revision: 740558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.2-4.mga5
+ Revision: 680858
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7.2-3.mga4
+ Revision: 506443
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.7.2-2.mga3
+ Revision: 355563
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 neoclust <neoclust> 1.7.2-1.mga3
+ Revision: 289272
- imported package jquery

